This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1250908 - Failed to mount: Filesystem has duplicate UUID
Failed to mount: Filesystem has duplicate UUID
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: atomic (Show other bugs)
7.2
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Lokesh Mandvekar
atomic-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 05:32 EDT by Alex Jia
Modified: 2016-04-07 05:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 17:01:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Jia 2015-08-06 05:32:25 EDT
Description of problem:
Failed to mount image to specified directory, and got error as follows:
Filesystem has duplicate UUID c668fb78-fb15-4ec8-a2c0-49b01a433032 - can't mount

Version-Release number of selected component (if applicable):
# rpm -q docker atomic
docker-1.7.1-108.el7.x86_64
atomic-1.0-108.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. run 'blkid' to make sure filesystem is XFS
2. docker pull busybox
3. atomic images
4. atomic mount <image_id> /mnt


Actual results:

[cloud-user@plat-infra-8a18c91d-640c-48bb-ae1b-1fbf5753a8e5 ~]$ sudo atomic images
 REPOSITORY                TAG                 IMAGE ID            CREATED             VIRTUAL SIZE
 docker.io/busybox         latest              8c2e06607696        2015-04-17 22:01    2.43 GB 

[cloud-user@plat-infra-8a18c91d-640c-48bb-ae1b-1fbf5753a8e5 ~]$ sudo atomic mount 8c2e06607696 /mnt
Could not mount docker container:
mount -o ro,nosuid,nodev,context="system_u:object_r:svirt_sandbox_file_t:s0:c304,c581" /dev/mapper/atomicos-docker--6183ce882dc33fcd27912e4f7d06bea856b90aef717fe5a2451333573395fae4 /mnt
mount: wrong fs type, bad option, bad superblock on /dev/mapper/atomicos-docker--6183ce882dc33fcd27912e4f7d06bea856b90aef717fe5a2451333573395fae4,
       missing codepage or helper program, or other error

       In some cases useful info is found in syslog - try
       dmesg | tail or so.

[cloud-user@plat-infra-8a18c91d-640c-48bb-ae1b-1fbf5753a8e5 ~]$ sudo dmesg | tail
[  971.479781] SELinux: initialized (dev dm-5, type xfs), uses mountpoint labeling
[  971.509095] XFS (dm-5): Filesystem has duplicate UUID c668fb78-fb15-4ec8-a2c0-49b01a433032 - can't mount
[ 1034.689916] XFS (dm-5): Mounting V4 Filesystem
[ 1034.704048] XFS (dm-5): Ending clean mount
[ 1034.705202] SELinux: initialized (dev dm-5, type xfs), uses xattr
[ 1034.741227] XFS (dm-5): Mounting V4 Filesystem
[ 1034.755264] XFS (dm-5): Starting recovery (logdev: internal)
[ 1034.760783] XFS (dm-5): Ending recovery (logdev: internal)
[ 1034.762412] SELinux: initialized (dev dm-5, type xfs), uses mountpoint labeling
[ 1034.792828] XFS (dm-5): Filesystem has duplicate UUID c668fb78-fb15-4ec8-a2c0-49b01a433032 - can't mount

Expected results:
can mount image to specified directory successfully

Additional info:

It should be a known issue for XFS filesystem, we need to mount with -o nouuid for XFS base images and use xfs_admin -U generate <partition> to generate a new UUID then avoiding duplicate UUID issue, for details, please refer to https://git.openstack.org/cgit/openstack/diskimage-builder/commit/?id=ea69fb9c4749560a0f86b69107a943715ca5b2f2
Comment 2 Daniel Walsh 2015-12-01 17:07:04 EST
Fixed in atomic-1.5-2.git191fb53.el7

Note You need to log in before you can comment on or make changes to this bug.